Package com.massivecraft.factions.zcore.fupgrades

## Enum UpgradeType

- java.lang.Object
- - java.lang.Enum<UpgradeType>
  - - com.massivecraft.factions.zcore.fupgrades.UpgradeType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<UpgradeType>`, `java.lang.constant.Constable`

    public enum UpgradeType
    extends java.lang.Enum<UpgradeType>

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`CHEST` |
`CROP` |
`DAMAGEDECREASE` |
`DAMAGEINCREASE` |
`EXP` |
`MEMBERS` |
`POWER` |
`REDSTONE` |
`REINFORCEDARMOR` |
`SPAWNER` |
`TNT` |
`WARP` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `toString()` |
`static UpgradeType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static UpgradeType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CHEST

    public static final UpgradeType CHEST

#### SPAWNER

    public static final UpgradeType SPAWNER

#### EXP

    public static final UpgradeType EXP

#### CROP

    public static final UpgradeType CROP

#### POWER

    public static final UpgradeType POWER

#### REDSTONE

    public static final UpgradeType REDSTONE

#### MEMBERS

    public static final UpgradeType MEMBERS

#### TNT

    public static final UpgradeType TNT

#### WARP

    public static final UpgradeType WARP

#### DAMAGEINCREASE

    public static final UpgradeType DAMAGEINCREASE

#### DAMAGEDECREASE

    public static final UpgradeType DAMAGEDECREASE

#### REINFORCEDARMOR

    public static final UpgradeType REINFORCEDARMOR

### Method Detail

#### values

    public static UpgradeType[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static UpgradeType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<UpgradeType>`